/* Main */
html,
body {
	background: #fff;
	color: #000;
	font-family: 'Lato', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-font-smoothing: antialiased;
	-o-font-smoothing: antialiased;
}

a{ 
	color: inherit; 
	font-weight: 700;
}

a:visited{
	color:inherit;
}

a:hover{
	color:inherit;
}

/* Header */
#header {
	font-size: 25px;
	font-weight: 400;
	letter-spacing: 5px;
	text-transform: uppercase;
	margin-top: 40px;
	line-height: 1.5em;
}

#footer {
	font-size: 19px;
	letter-spacing: 5px;
	text-transform: uppercase;
}

#allrights {
	font-size: 8px;
	letter-spacing: 1px;
	text-transform: uppercase;
	margin-top: 20px;
}

#gameheader {
	font-size: 30px;
	font-weight: 400;
	letter-spacing: 10px;
	text-transform: uppercase;
	line-height: 1.5em;
	font-family: 'Libre Baskerville', serif;
}

.linesep{
	display: block;
	width: 40px;
	height: 2px;
	background-color: #000;
	margin:40px 0px;
}

#about {
	line-height: 1.7em;
	margin: 50px 0px;
	font-family: 'Libre Baskerville', serif;
	font-size: 25px;
}

/* Sections */
.sectionwrap {
	background: #fff;
	color: #000;
	display: block;
	width: 100%;
	margin: 0px auto;
	overflow: hidden;
	padding: 30px 0px;
	text-align: left;
}


.section {
	background: none;
	display: block;
	max-width: 1800px;
	margin: 50px auto;
	overflow: hidden;
	padding: 0px 80px;
}

#namesec{

}

#appsec{
	background: #aaa;
	color: #fff;
	background-position: center; 
	background-size: cover; 
	background-repeat: no-repeat; 
	background-attachment: fixed;
	background-image: url('./concrete.jpg');
}

#visualsec{
	background: #000;
	color: #fff;
}

#soundsec{
	background: #1f1f1f;
	color: #fff;
	background-position: center; 
	background-size: cover; 
	background-repeat: no-repeat; 
	background-attachment: fixed; 
	background-image: url('./moon.jpg');
}

#websec{
	background: #EBECE8;
}

#endsec{
	color: #aaa;
}

.outerborder{
	padding:5px;
	border: 1px solid #ccc;
	display: block;
}

.innerborder{
	border: 1px solid #ccc;
	display: block;
	overflow: hidden;
	padding:5%;
}

.sectioncat{
	text-align: left;
	font-size: 50px;
	font-weight: 400;
	margin-bottom: 45px;
	font-family: 'Libre Baskerville', serif;
}

/* 25% Column */
/* Use 2% margin right on all sizes */
.side{
	display: block;
	float: left;
	width: 23%;
	margin-right: 2%;
	text-align: left;
	padding: 1% 0px;
	font-size: 16px;
	line-height: 1.5em;
}

.side.half {
	width: 48%;
	margin-right: 2%;
}

.side.threequarter {
	width: 73%;
	margin-right: 2%;
}

.side.full {
	width: 100%;
	margin-right: 0%;
}

/* Project info */
.name {
	line-height: 1em;
	font-size: 15px;
	font-family: 'Libre Baskerville', serif;
	min-height: 40px;
	margin-top: 20px;
	letter-spacing: 5px;
	text-transform: uppercase;
}

.namesmall {
	line-height: 1em;
	font-size: 20px;
	font-family: 'Libre Baskerville', serif;
	min-height: 40px;
	margin-top: 20px;
}

.award {
	width: 90%;
	margin: 30px 0px;
}

.quote{
	font-size: 16px;
	line-height: 1.5em;
	font-family: 'Libre Baskerville', serif;
	margin: 60px 0px 10px 0px;
}

.quoter{
	font-size: 13px;
	font-family: 'Libre Baskerville', serif;
	font-style: italic;
}

.description {
	font-family: 'Libre Baskerville', serif;
	margin: 0px 0px 20px 0px;
	min-height: 100px;
}

.normaldescription {
	font-family: 'Libre Baskerville', serif;
	margin: 0px 0px 20px 0px;
}

.contenttype {
	font-size: 11px;
}

.platforms {
	font-size: 11px;
	margin-bottom: 10px;
}

.projectinfo{
	float:left;
	width: 47.5%;
	margin-left: 10%;
}

.projectcover{
	float:left;
	width: 42.5%;
}

/* Different Image types */
.albumart{
	display: block;
	float: left;
	width: 45%;
}

.albumtext{
	display: block;
	float: left;
	width: 50%;
	margin-left:5%;
}

.appicon{
	width: 50%;
	min-width: 100px;
	height:auto;
	border-radius: 20%;
	/* box-shadow: rgb(31, 80, 255) 0px 20px 40px -17px; */
}

/* For separating featured apps from regular ones */
.appspacer{
	display: block;
	width: 100%;
	height:40px;
	float: left;
}

/* Links */
.links {
	list-style-position: inside;
}

.links li {
	padding: 5px 0px;
}

.links li a {
	padding: 5px 0px;
	text-decoration: none;
	-o-transition:.5s;
	-ms-transition:.5s;
	-moz-transition:.5s;
	-webkit-transition:.5s;
	transition:.5s;
	border-bottom: 1px solid transparent;
}

.links li a:hover {
	border-bottom: 1px solid #000;
}

.links.white li a:hover {
	border-bottom: 1px solid #fff;
}

/* Store links */
.appwrapper{
	border-radius: 20px;
	padding:10%;
	background-color: #ddd;
	text-align: center;

	background-color:rgba(0, 0, 0, 0.2);
	backdrop-filter: blur(50px);
	-webkit-backdrop-filter: blur(50px);
}

.appwrapperbig{
	border-radius: 20px;
	padding:5%;
	background-color: #ddd;
	text-align: center;

	background-color:rgba(0, 0, 0, 0.2);
	backdrop-filter: blur(50px);
	-webkit-backdrop-filter: blur(50px);
}

.store {
	list-style-position: inside;
    bottom: 0px;
	width: 100%;
}

.store li {
	padding: 5px 0px;
}

.store li a {
	display: block;
	padding: 10px 10%;
	text-decoration: none;
	-o-transition:.5s;
	-ms-transition:.5s;
	-moz-transition:.5s;
	-webkit-transition:.5s;
	transition:.5s;
	border: 1px solid rgba(255, 255, 255, 0.3);
	border-radius: 100px;
}

.store li a:hover {
	border: 1px solid #fff;
	background-color: #fff;
	color: #111;
}


#discoparent{
	border-radius: 20px;
	background-color: #111;
	text-align: center;
	color: #ccc;

	background-color:rgba(0, 0, 0, 0.2);
	backdrop-filter: blur(50px);
	-webkit-backdrop-filter: blur(50px);
}

#discotitle{
	display: block;
	width:80%;
	padding:0px 10%;
	font-weight: 400;
	margin: 70px 0px;
	text-transform: uppercase;
	font-family: 'Libre Baskerville', serif;

	font-size: 15px;
	letter-spacing: 5px;
}

#discography{
	max-width: 90%;
	max-height: 400px;
}

/* Links */
.fancy {
	list-style-position: inside;
}

.fancy li {
	margin: 10px 5px;
	display: inline-block;
}

.fancy li a {
	padding: 10px 20px;
	display: block;
	text-decoration: none;
	-o-transition:.5s;
	-ms-transition:.5s;
	-moz-transition:.5s;
	-webkit-transition:.5s;
	transition:.5s;
	border: 1px solid #ccc;
	border-radius: 100px;
}

.fancy li a:hover {
	background-color: #ccc;
	color: #000;
}

/* Gallary */

.gallery{
	display: block;
	overflow: hidden;
	float: left;
	margin-top: 40px;
	width: 100%;
}

.gallerypic{
	display: block;
	float: left;
	width: 23%;
	margin: 0px;
	padding: 1% 2% 1% 0%;
}

.gallerypichalf{
	display: block;
	float: left;
	width: 48%;
	margin: 1% 2% 1% 0%;
}

.gallerypicfull{
	display: block;
	float: left;
	width: 100%;
	margin: 1% 0%;
	border-radius: 20px;
}

/* Absolute Gallary */

.absgallery{
	position: relative;
	width: 100%;
	height: 500px;
	margin-bottom: 20px;
}

.abspic{
	display: block;
	max-width: 50%;
	max-height: 50%;
	margin: 0px;
	position: absolute;
	border-radius: 10%;
}

/* Web Projects */
.projects {
	display: grid;
	grid-template-columns: auto 1fr auto auto; /* Single column layout */
	gap: 0px; /* Space between cells */
	text-align: left;
	line-height: 1.5em;
}
  
.projects .cell {
	padding: 20px;
	border-top: 1px solid #ccc; /* Optional styling */
}

.projects .cell.header{
	letter-spacing: 5px;
	font-size: 11px;
	text-transform: uppercase;
	font-family: 'Lato', sans-serif;
	padding:10px 20px;
	border-top: none; /* Optional styling */
	border-bottom: 1px solid #666; /* Optional styling */
}

.projects .cell.webname{
	letter-spacing: 5px;
	text-transform: uppercase;
	font-family: 'Libre Baskerville', serif;
	font-size: 15px;
	border-top: 1px solid #666; /* Optional styling */
	padding: 20px 0px;
}

.projects .cell.webinfo{
	font-size: 11px;
}

/* Mobile */
@media (max-width: 1050px) {
	.sectionwrap {
		width: 100%;
		min-width: 100%;
	}
	
	
	.section {
		width: 90%;
		padding: 0px 5%;
		min-width: 90%;
		max-width: 90%;
	}
	
	/* 25% Column */
	.side{
		width: 48%;
		margin-right: 2%;
	}

	.side.half {
		width: 48%;
		margin-right: 2%;
	}
	
	.side.threequarter {
		width: 100%;
		margin-right: 0%;
	}
	
	.side.full {
		width: 100%;
		margin-right: 0%;
	}

	.side.mobilefull{
		width: 100%;
		margin-right: 0%;
	}

	.gallery{
		margin-top: 0px;
	}

	/* Project info */
	.projectinfo{
		width: 100%;
		margin-left: 0%;
		display: none;
	}
	
	.projectcover{
		width: 100%;
	}
	
	/* Different Image types */
	
	.appicon{
		width: 128px;
	}

	.appwrapperbig{
		padding:10%;
	}

	/* Web Projects */
	.projects {
		grid-template-columns: 1fr; /* Single column layout */
	}

	.projects .cell.header{
		display: none;	
	}

	.projects .cell.webinfo{
		display: none;
	}

	.projects .cell{
		padding: 20px 0px;
	}

}

/* Super Mobile */
@media (max-width: 550px) {
	
	/* 25% Column */
	.side{
		width: 100%;
		margin-right: 0%;
	}

	.side.half {
		width: 100%;
		margin-right: 0%;
	}

	.albumart{
		width: 100%;
		margin-top: 40px;
	}

	.gallerypic{
		width: 48%;
	}

	.gallerypichalf{
		width: 100%;
		margin: 1% 0%;
	}
	
	.albumtext{
		width: 100%;
		margin-left:0%;
	}

	.innerborder{
		padding:10%;
	}

	.sectionwrap {
		padding: 0px;
	}
}
/* Animation styles */
.fade-in {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.fade-in.visible {
    opacity: 1;
    transform: translateY(0);
}

@supports (-webkit-overflow-scrolling: touch) {
	#appsec{
		background: #aaa;
	}

	#soundsec{
		background: #1f1f1f;
	}
}